<script>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import InputError from '@/Components/InputError.vue';
import InputLabel from '@/Components/InputLabel.vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
import TextInput from '@/Components/TextInput.vue';
import { Head, useForm } from '@inertiajs/vue3';

export default {
  components: {
    TextInput, PrimaryButton, InputLabel, InputError, GuestLayout, Head,
  },

  layout: GuestLayout,

  props: {
    status: {
      type: String,
    }
  },

  setup(props) {
    const form = useForm({
      email: '',
    });

    const submit = () => {
      form.post('/forgot-password');
    };

    return {
      form,
      submit,
    };
  }
}
</script>

<template>
  <Head title="Восстановление пароля" />

  <div class="mb-4 text-sm text-gray-600">
    Забыли пароль? Не проблема! Просто укажите почту, на которую хотите получить ссылку для сброса пароля
  </div>

  <div v-if="status" class="mb-4 font-medium text-sm text-green-600">
    {{ status }}
  </div>

  <form @submit.prevent="submit">
    <div>
      <InputLabel for="email" value="Почта" />

      <TextInput
        id="email"
        type="email"
        class="mt-1 block w-full"
        v-model="form.email"
        required
        autofocus
        autocomplete="username"
      />

      <InputError class="mt-2" :message="form.errors.email" />
    </div>

    <div class="flex items-center justify-end mt-4">
      <PrimaryButton :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
        Отправить
      </PrimaryButton>
    </div>
  </form>
</template>
